Package org.apache.batchee.container.services.persistence.jpa.provider

## Class EEEntityManagerProvider

- java.lang.Object
- - org.apache.batchee.container.services.persistence.jpa.provider.EEEntityManagerProvider

- All Implemented Interfaces:
    `EntityManagerProvider`

      public class EEEntityManagerProvider
      extends Object
      implements EntityManagerProvider

  Designed to use a container entity manager relying on JTA to commit. The EntityManager is a CDI bean with the qualifier @Named. Default name is "batcheeJpaEm" but it can be customized using "persistence.jpa.ee.entity-manager.name" property. Note: the bean should be scoped @ApplicationScoped. Typically:

       @PersistenceContext
       @Produces
       @Named
       private EntityManager batcheeJpaEm;

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EEEntityManagerProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `init​(Properties batchConfig)` |
    `javax.persistence.EntityManager` | `newEntityManager()` |
    `void` | `release​(javax.persistence.EntityManager entityManager)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EEEntityManagerProvider

          public EEEntityManagerProvider()

  - ### Method Detail

    - #### newEntityManager

          public javax.persistence.EntityManager newEntityManager()

      Specified by:
        `newEntityManager` in interface `EntityManagerProvider`

    - #### release

          public void release​(javax.persistence.EntityManager entityManager)

      Specified by:
        `release` in interface `EntityManagerProvider`

    - #### init

          public void init​(Properties batchConfig)

      Specified by:
        `init` in interface `EntityManagerProvider`